// .modal-open      - body class for killing the scroll
// .modal           - container to scroll within
// .modal-dialog    - positioning shell for the actual modal
// .modal-content   - actual modal w/ bg and corners and stuff


// Kill the scroll on the body
/*
.modal-open {
  overflow: hidden;
}

// Container that the modal scrolls within
.modal {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: $zindex-modal;
  display: none;
  overflow: hidden;
  // Prevent Chrome on Windows from adding a focus outline. For details, see
  // https://github.com/twbs/bootstrap/pull/10951.
  outline: 0;
  // We deliberately don't use `-webkit-overflow-scrolling: touch;` due to a
  // gnarly iOS Safari bug: https://bugs.webkit.org/show_bug.cgi?id=158342
  // See also https://github.com/twbs/bootstrap/issues/17695

  .modal-open & {
    overflow-x: hidden;
    overflow-y: auto;
  }
}

// Shell div to position the modal with bottom padding
.modal-dialog {
  position: relative;
  width: auto;
  margin: $modal-dialog-margin;
  // allow clicks to pass through for custom click handling to close modal
  pointer-events: none;

  // When fading in the modal, animate it to slide down
  .modal.fade & {
    @include transition($modal-transition);
    transform: translate(0, -25%);
  }
  .modal.show & {
    transform: translate(0, 0);
  }
}

.modal-dialog-centered {
  display: flex;
  align-items: center;
  min-height: calc(100% - (#{$modal-dialog-margin} * 2));
}

// Actual modal
.modal-content {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%; // Ensure `.modal-content` extends the full width of the parent `.modal-dialog`
  // counteract the pointer-events: none; in the .modal-dialog
  pointer-events: auto;
  background-color: $modal-content-bg;
  background-clip: padding-box;
  border: $modal-content-border-width solid $modal-content-border-color;
  @include border-radius($border-radius-lg);
  @include box-shadow($modal-content-box-shadow-xs);
  // Remove focus outline from opened modal
  outline: 0;
}

// Modal background
.modal-backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: $zindex-modal-backdrop;
  background-color: $modal-backdrop-bg;

  // Fade for backdrop
  &.fade { opacity: 0; }
  &.show { opacity: $modal-backdrop-opacity; }
}

// Modal header
// Top section of the modal w/ title and dismiss
.modal-header {
  display: flex;
  align-items: flex-start; // so the close btn always stays on the upper right corner
  justify-content: space-between; // Put modal header elements (title and dismiss) on opposite ends
  padding: $modal-header-padding;
  border-bottom: $modal-header-border-width solid $modal-header-border-color;
  @include border-top-radius($border-radius-lg);

  .close {
    padding: $modal-header-padding;
    // auto on the left force icon to the right even when there is no .modal-title
    margin: (-$modal-header-padding) (-$modal-header-padding) (-$modal-header-padding) auto;
  }
}

// Title text within header
.modal-title {
  margin-bottom: 0;
  line-height: $modal-title-line-height;
}

// Modal body
// Where all modal content resides (sibling of .modal-header and .modal-footer)
.modal-body {
  position: relative;
  // Enable `flex-grow: 1` so that the body take up as much space as possible
  // when should there be a fixed height on `.modal-dialog`.
  flex: 1 1 auto;
  padding: $modal-inner-padding;
}

// Footer (for actions)
.modal-footer {
  display: flex;
  align-items: center; // vertically center
  justify-content: flex-end; // Right align buttons with flex property because text-align doesn't work on flex items
  padding: $modal-inner-padding;
  border-top: $modal-footer-border-width solid $modal-footer-border-color;

  // Easily place margin between footer elements
  > :not(:first-child) { margin-left: .25rem; }
  > :not(:last-child) { margin-right: .25rem; }
}

// Measure scrollbar width for padding body during modal show/hide
.modal-scrollbar-measure {
  position: absolute;
  top: -9999px;
  width: 50px;
  height: 50px;
  overflow: scroll;
}

// Scale up the modal
@include media-breakpoint-up(sm) {
  // Automatically set modal's width for larger viewports
  .modal-dialog {
    max-width: $modal-md;
    margin: $modal-dialog-margin-y-sm-up auto;
  }

  .modal-dialog-centered {
    min-height: calc(100% - (#{$modal-dialog-margin-y-sm-up} * 2));
  }

  .modal-content {
    @include box-shadow($modal-content-box-shadow-sm-up);
  }

  .modal-sm { max-width: $modal-sm; }

}

@include media-breakpoint-up(lg) {
  .modal-lg { max-width: $modal-lg; }
}
*/

//====================================================================================


// Kill the scroll on the body
.modal-open {
  //overflow: hidden;
}

// Container that the modal scrolls within
.modal {
  //display: flex;
  //flex-direction: column;
  //align-items: center;
	display: block;
  overflow: auto;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: $zindex-modal;
  -webkit-overflow-scrolling: touch;
  outline: 0;
}
.modal-open .modal {
  overflow-x: hidden;
  overflow-y: auto;
}

.modal-dialog {
  width: 90%;
  max-width: 90%;
	display: flex;
	align-items: center;
  justify-content: center;
	min-height: 100%;
	margin: 0 auto !important;
}

.modal-content {
  position: relative;
  background-color: $modal-content-bg;
  border-radius: $border-radius-modal;
  width: 100%;
  box-shadow: 0 0 10px rgba(black, 0.6);
  background-clip: padding-box;
  outline: 0;
  .beh-loading:after {
    border-radius: $border-radius-modal;
  }
}

$modal-title-padding: 20px;

.modal-header {
  padding: $modal-title-padding;
  padding-bottom: $modal-title-padding/2;
  min-height: ($modal-title-padding + $modal-title-line-height);
  text-align: center;
  position: relative;
  border-radius: $border-radius-modal $border-radius-modal 0 0;
  .modal-header-icon{
    font-size: 70px;
    margin-bottom: 5px;
  }
}

.modal-header{
  .md-close {
    position: absolute;
    top: 0;
    right: 0;
    transform: translate(35%, -35%);
    border: solid 1px $danger;
    width: 26px;
    height: 26px;
    background-color: #fff;
    color: #4D4D4D;
    text-align: center;
    line-height: 24px;
    border-radius: 50%;
    font-size: 13px;
    font-weight: 300;
    text-indent: -1px;
    .fa, .fa:before{
      display: block;
      width: 100%;
      height: 100%;
      line-height: inherit;
      border-radius: inherit;
      cursor: pointer;
    }
  }
  .modal-header-bg {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    &:after{
      position: absolute;
      background: rgba(0, 0, 0, 0.05);
      top: -200px;
      left: -1px;
      width: 59%;
      bottom: -72px;
      z-index: 1;
      content: '';
      transform: rotate(20deg);
    }
  }
  .modal-header-cover {
    position: relative;
    z-index: 2;
  }
}

.modal-title {
  margin: 0;
  line-height: $modal-title-line-height;
}

.modal-body {
  position: relative;
  padding: $modal-inner-padding;
  h1,h2,h3,h4,h5,h6{
    font-weight: bold;
  }
  font-size: 12px;
}

.modal-footer {
  padding: 10px 15px;
  @include clearfix;

  > * {
    vertical-align: middle;
  }
  .btn + .btn {
    margin-right: 5px;
    margin-bottom: 0;
  }
  .btn-group .btn + .btn {
    margin-left: -1px;
  }
  .btn-block + .btn-block {
    margin-left: 0;
  }
}

.modal-scrollbar-measure {
  position: absolute;
  top: -9999px;
  width: 50px;
  height: 50px;
  overflow: scroll;
}

//@media (min-width: $screen-sm-min) {
//  .modal-dialog {
//    width: $modal-md;
//  }
//  .modal-content {}
//
//  .modal-sm { width: $modal-sm; }
//}
//
//@media (min-width: $screen-md-min) {
//  .modal-lg { width: $modal-lg; }
//}

// Scale up the modal
@include media-breakpoint-up(sm) {
  // Automatically set modal's width for larger viewports
  .modal-dialog {
    max-width: $modal-md;
    margin: $modal-dialog-margin-y-sm-up auto;
  }

  .modal-dialog-centered {
    min-height: calc(100% - (#{$modal-dialog-margin-y-sm-up} * 2));
  }

  .modal-content {
    @include box-shadow($modal-content-box-shadow-sm-up);
  }

  .modal-sm { max-width: $modal-sm; }

}

@include media-breakpoint-up(lg) {
  .modal-lg { max-width: $modal-lg; }
}



.modal-backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: $zindex-modal - 1;
  background-color: rgba(0,0,0,0.6);
  &.fade { opacity: 0; }
  &.show { opacity: 1; }
}

.modal-scrollbar-measure {
  position: absolute;
  top: -9999px;
  width: 50px;
  height: 50px;
  overflow: scroll;
}

.modal.is-loading{
  .modal-body{  position: static;  }
  .md-close{  opacity: 0;  }
}

.modal-body{
  .beh-loading{
    position: static;
  }
}

@mixin modal-variant($color){
  .modal-header{
    color: $color;
    .modal-header-icon {
      background: linear-gradient(-20deg, $color 0%, adjust_hue($color, 20deg) 100%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
    }
    .md-close {  border-color: $color;  }
  }
  .modal-footer .next-btn {
    color: $color;
    &:hover {
      color: darken($color, 5%);
    }
  }
}

.modal {
  &.variant-primary {
    @include modal-variant($primary)
  }

  &.variant-secondary {
    @include modal-variant($secondary)
  }

  &.variant-info {
    @include modal-variant($info)
  }

  &.variant-success {
    @include modal-variant($success)
  }

  &.variant-warning {
    @include modal-variant($warning)
  }

  &.variant-danger {
    @include modal-variant($danger)
  }

  &:not(.variant-danger) {
    .beh-spinner svg .circle{  stroke: #4D4D4D;  }
  }
}

